Bug 285741 - If /etc/pm/sleep.d exists package fails to upgrade
If /etc/pm/sleep.d exists package fails to upgrade
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pm-utils (Show other bugs)
5.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-11 07:29 EDT by Traxtopel
Modified: 2015-03-04 20:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 08:21:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Traxtopel 2007-09-11 07:29:03 EDT
Description of problem:
Updating to 0.99.3-6.el5.14 on 5.1 Snap6. if directory If /etc/pm/sleep.d exists
package fails to upgrade.

Version-Release number of selected component (if applicable):


How reproducible:

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 pm-utils                i386       0.99.3-6.el5.14  rhel5-u1-beta      64 k

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         

Total download size: 64 k
Is this ok [y/N]: y
Downloading Packages:
(1/1): pm-utils-0.99.3-6. 100% |=========================|  64 kB    00:00     
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating  : pm-utils                     ######################### [1/2] 
error: unpacking of archive failed on file /etc/pm/sleep.d: cpio: rename
Removed: //var/cache/yum/rhel5-u1-beta/packages/pm-utils-0.99.3-6.el5.14.i386.rpm

Updated: pm-utils.i386 0:0.99.3-6.el5.14
Complete!

Removing /etc/pm/sleep.d allows package to update.
Comment 1 Florian La Roche 2007-09-24 08:21:57 EDT
This is only a problem updating from the beta to a newer version, but not
from RHEL5.0 to RHEL5.1 release.

regards,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.